/* eslint-env node */
/* global module: false, require: false */
'use strict';

const EmberApp = require('ember-cli/lib/broccoli/ember-app');
const defaultsDeep = require('lodash.defaultsdeep');
const options = require('@choiceform/ui-foundation/defaults')({
  // @import 模块导入规则
  import: {
  },

  // CSS 变量
  variables: {
  },
});

module.exports = function(defaults) {
  if (defaults.project.findAddonByName('ember-native-dom-event-dispatcher')) {
    options.vendorFiles = {'jquery.js': null};
  }

  let app = new EmberApp(defaults, defaultsDeep({
    // Add options here
  }, options));

  // Use `app.import` to add additional libraries to the generated
  // output files.
  //
  // If you need to use different assets in different
  // environments, specify an object as the first parameter. That
  // object's keys should be the environment name and the values
  // should be the asset to use in that environment.
  //
  // If the library that you are including contains AMD or ES6
  // modules that you would like to import into your application
  // please specify an object with the list of modules as keys
  // along with the exports of each module as its value.

  return app.toTree();
};
